﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace FinalProject
{
    public class Collectible : Item
    {
        public int Level { get; set; }
        public eCollectibleCondition Condition { get; set; }

        /// <summary>
        /// Initializes a new instance of the <see cref="Collectible"/> class.
        /// </summary>
        public Collectible()
        {

        }

        /// <summary>
        /// Initializes a new instance of the <see cref="Collectible"/> class.
        /// </summary>
        /// <param name="name">The name.</param>
        /// <param name="previewImage">The preview image.</param>
        /// <param name="condition">The condition.</param>
        /// <param name="level">The level.</param>
        public Collectible(string name, Bitmap previewImage, eCollectibleCondition condition, int level)
            : base(name, previewImage, 0, 0)
        {
            this.Condition = condition;
            this.Level = level;
        }
    }
}
