﻿using Microsoft.Xna.Framework;
using UWBGL_XNA_Lib13;
using NathanScott_Lib;
using System;
using System.Xml.Serialization;

namespace FinalProject
{
    [Serializable]
    public class WinGameItem : Item
    {
        public WinGameItem()
            : base()
        {

        }

        public WinGameItem(float minPrice, float maxPrice):base("BoardingPass", Properties.Resources.BoardingPass, minPrice, maxPrice)
        {
            UWB_PrimitiveList pList = new UWB_PrimitiveList();
            setPrimitive(pList);
        }

        public override bool isRecoveryable()
        {
            return false;
        }

        public override float getRecoverCost()
        {
            return 0.00f;
        }

        public override bool isEquippable()
        {
            return false;
        }

        public static float getPriceBasedOnDifficulty(eGameDifficulty difficulty)
        {
            return difficulty == eGameDifficulty.Hard ? 1000.0f : 750.0f;
        }

        #region Public Properties for XML Serialization

        #endregion
    }
}
