﻿using Microsoft.Xna.Framework;
using UWBGL_XNA_Lib13;
using System;

namespace FinalProject
{
    [Serializable]
    public class Torso : UWB_SceneNode
    {
        public Torso()
            : base()
        {

        }

        public Torso(Vector3 at, float torsoHeight, float torsoWidth, string name)
            : base(name)
        {
            UWB_PrimitiveList pList = new UWB_PrimitiveList();

            Color wetSuitColor = new Color(0, 0, 0);

            UWB_PrimitiveRectangle torso = new UWB_PrimitiveRectangle();
            torso.define(at, torsoWidth, torsoHeight);
            torso.setFlatColor(wetSuitColor);
            torso.setShadeMode(eShadeMode.smFlat);
            pList.append(torso);

            setPrimitive(pList);
            mXFormInfo.setPivot(at);

            UWB_SceneNode weightBelt = new WeightBelt(new Vector3(at.X - (torsoWidth / 2), at.Y, 0), torsoWidth, torsoHeight);
            insertChildNode(weightBelt);
        }
    }
}
